// Settings
$.domoticzurl = "http://10.100.75.113:8080";//domoticz url (can be with username:password@ip:port)
$.degreesUnit = " C";
$.percentUnit = " %";
$.theme = "main.css"; //possible values: 'main.css', 'mainPurple.css', 'mainLight.css'
$.rss = "http://www.nu.nl/rss/Algemeen"; //rss feed, like: http://feeds.bbci.co.uk/news/rss.xml?edition=int

$.enableSwitchPopup = true; //false or true

//Weather settings
$.location = "Apeldoorn, GE"; //city and region *required 
$.country = "Netherlands"; //country *required 
$.units = "metric"; //"metric" or "imperial" default: "auto"


//Traffic settings
$.Address = 'Apeldoorn, NL';
$.ZoomLevel = 10;


//Menu settings
$.Graph = true; //false or true
$.News = true; //false or true
$.Log = true; //false or true
$.Lights = true; //false or true
$.Weather = true; //false or true
$.Camera = true; //false or true
$.Traffic = true; //false or true
$.Temperature = true; //false or true


// Dashboard screen User settings >>> 
// format: idx, value (from json), replace label, description, chart label, chart color
$.PageDashboardArray = [
    //switches
    ['32', 'Data', 'cell1', 'Lampen Woonkamer', 'onbutton'],//onbutton = only push on
    ['19', 'Data', 'cell2', 'Schemerschakelaar', 'onbutton'],//button is normal on/off button
    ['20', 'Data', 'cell3', 'Alarm Volledig', 'onbutton'],
    ['17', 'Data', 'cell4', 'Alarm Gedeeltelijk', 'onbutton'],
    ['19', 'Data', 'cell5', 'Zonsondergang', 'onbutton'],
    ['158', 'Data', 'cell6', 'Theme SunSet', 'onbutton'],
    
	// example for scenes & groups
	//['1', 'Status', 'cell111', 'Group Example', 'group'],
	//['1', 'Status', 'cell111', 'Scene Example', 'scene'],
	
	
    //other devices
    ['68', 'Humidity', 'cell7', 'Vocht Badkamer', 'badkamer', '#b2c831'],
    ['68', 'LastUpdate', 'cell70', 'Vocht Badkamer'],

    ['57', 'Temp', 'cell8', 'Temperatuur Woonkamer', 'woonkamer', '#2980B9'],
    ['57', 'LastUpdate', 'cell80', 'Temperatuur Woonkamer'],

    ['40', 'Usage', 'cell9', 'kWh meter (kWh)'],
    ['40', 'Data', 'cell29', 'kWh meter'],
    ['40', 'CounterToday', 'cell39', 'kWh meter'],
    ['40', 'LastUpdate', 'cell19', 'kWh meter'],

    ['47', 'Temp', 'cell10', 'Temperatuur Buiten', 'buiten', '#C0382B'],
    ['47', 'LastUpdate', 'cell100', 'Temperatuur Buiten'],

    ['53', 'Data', 'cell11', 'SabNZB Status'],
    ['57', 'Data', 'cell12', 'Plex Status'],
    ['41', 'Status', 'cell13', 'Ventilatie', 'arrow'],
];


// Switches Sidebar User settings >>> 
// format: idx, value (from json), replace label, description, chart label, chart color
$.PageSwitchArray = [
    //switches (left sidebar)
    ['163', 'Data', 'cell1', 'Lampen Uit', 'onbutton'],//onbutton = only push on
    ['161', 'Data', 'cell2', 'Theme Logan', 'onbutton'],//button is normal on/off button
    ['159', 'Data', 'cell3', 'Theme X-Men', 'onbutton'],
    ['162', 'Data', 'cell4', 'Theme Aurora', 'onbutton'],
    ['160', 'Data', 'cell5', 'Theme TitanFall', 'onbutton'],
    ['158', 'Data', 'cell6', 'Theme SunSet', 'onbutton'],
	
	// example for scenes & groups
	//['1', 'Status', 'cell111', 'Group Example', 'group'],
	//['1', 'Status', 'cell111', 'Scene Example', 'scene'],
];


// Graph screen User settings >>> (max 3 on screen)
//format: idx, value (from json), replace label, description, chart label, chart color
$.GraphTemperatureArray = [
    //graph screen (3 fields)
    ['40', 'counter&method=1', 'kWh', 'cell7', 'kWh meter (kWh)', 'graph100', '#b2c831', 'v'],
    ['68', 'temp', 'day', 'cell8', 'Vocht Badkamer', 'graph200', '#C0382B', 'hu'],
    ['57', 'temp', 'day', 'cell10', 'Woonkamer', 'graph300', '#2980B9', 'te'],
];


// Light screen User settings >>> 
$.LightArray = [
    //format: idx, 'Hue' (color lamp) or 'Dimmer' (for normal dimmer), replace label, description, maxdimlevel
    ['12', 'Hue', 'cell7', 'Dressoir lamp'],
    ['13', 'Hue', 'cell8', 'Staande lamp deur'],
    ['14', 'Dimmer', 'cell10', 'Hanglamp bank'],
    ['15', 'Dimmer', 'cell11', 'Hanglamp deur'],
    ['16', 'Dimmer', 'cell12', 'Lamp achter bank'],
    ['112', 'Dimmer', 'cell13', ''],
];


// Camera screen User settings >>> 
$.CameraArray = [
    //format: html replace label, camera Image URL, description
    ['cell7', 'http://10.100.75.109:98/video.cgi?user=admin&pwd=xxxxxxxxx', 'Woonkamer'],
    ['cell8', 'http://images.opentopia.com/cams/10359/big.jpg', 'Buiten 2'],
    ['cell10', 'http://images.opentopia.com/cams/8034/big.jpg', 'Buiten 3'],
    ['cell11', 'http://images.opentopia.com/cams/15104/big.jpg', 'Buiten 4'],
    ['cell12', 'http://images.opentopia.com/cams/16584/big.jpg', 'Gang'],
    ['cell13', 'http://images.opentopia.com/cams/16577/big.jpg', 'Extra'],
];

// Temperature screen User settings >>> 
$.TemperatureArray = [
// format: idx, value (from json), replace label, description, chart label, chart color
    ['57', 'Temp', 'cell191', 'Temperatuur Woonkamer', 'woonkamer', '#2980B9'],
    ['57', 'LastUpdate', 'cell191', 'Temperatuur Woonkamer'],
];
